For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trust CenterStatusSupportGet a demoPlatform
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingGuidesChangelog
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingGuidesChangelog
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
    • Data Models
    • API Conventions
  • Data Models
      • GETList Projects
      • POSTCreate Project
      • GETRetrieve Project
      • PUTUpdate Project
      • DELDelete Project
        • GETList Project API Keys
        • GETGet Project API Key
        • POSTCreate Project API Key
        • PUTUpdate Project API Key
        • DELRevoke Project API Key
  • Evals
  • Legacy
LogoLogo
Trust CenterStatusSupportGet a demoPlatform
Data ModelsProjectsAPI Keys

Get Project API Key

GET
https://api.confident-ai.com/v1/projects/:projectId/api-keys/:apiKeyId
GET
/v1/projects/:projectId/api-keys/:apiKeyId
$curl https://api.confident-ai.com/v1/projects/projectId/api-keys/1 \
> -H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>"
200Retrieved
1{
2 "success": true,
3 "data": {
4 "apiKey": {
5 "id": 34,
6 "valid": true,
7 "value": "***************d4e5f6",
8 "created_at": "2024-12-04T23:00:00.000Z",
9 "name": "Production agent key",
10 "lastUsed": "2024-12-05T10:15:00.000Z"
11 }
12 }
13}

Retrieves a single project-scoped API key by id. The value is redacted — the full value is only ever returned once, at creation.

Was this page helpful?
Previous

Create Project API Key

Next
Built with

Path parameters

projectIdstringRequired
The unique identifier of the project.
apiKeyIdintegerRequired
The unique identifier of the API key.

Headers

CONFIDENT_API_KEYstringRequired
The organization API key for your Confident AI organization.

Response

successboolean
Indicates if the request was successful
dataobject